List insights
curl --request GET \
--url https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/insights \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "d231fe70-9585-4657-9c4e-6b431bbc1b6a",
"type": "Feedback",
"title": "Dashboard UX Improvements",
"description": "The dashboard could use better data visualization",
"seen": false,
"hideContent": false,
"createdAt": "2025-03-26T22:35:46Z",
"updatedAt": "2025-03-26T22:35:46Z",
"opportunities": [],
"solutions": [],
"outcomes": [],
"feedback": [],
"strength": 5,
"ownerId": "d4e71c2b-a498-42af-b7f5-69de06a0d7c4",
"strengthScore": 0.75,
"momentumScore": 0.5,
"combinedScore": 0.65,
"lastScoreCalculatedAt": "2025-03-26T22:35:46Z",
"topicEmbeddings": [
0.1,
-0.2,
0.3
]
}
]
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthenticated"
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthorised"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"description": "An unexpected error occurred on the server"
}
}Insights
List insights
Lists all insights in the specified workspace
GET
/
organisations
/
{orgId}
/
workspaces
/
{workspaceId}
/
insights
List insights
Authorizations
JWT authentication for organization-scoped endpoints.
Query Parameters
Comma-separated list of relationships to include in the response
Response
Success
Response containing an array of insight items
Array of insight items
Show child attributes
Show child attributes
Was this page helpful?
⌘I